org.jgrapht.graph

## Class AbstractBaseGraph.UndirectedSpecifics

- java.lang.Object
- - org.jgrapht.graph.AbstractBaseGraph.UndirectedSpecifics

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    AbstractBaseGraph<V,E>

      protected class AbstractBaseGraph.UndirectedSpecifics
      extends Object
      implements Serializable

  .
  Author:
    Barak Naveh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBaseGraph.UndirectedSpecifics()`
    `AbstractBaseGraph.UndirectedSpecifics(Map<V,org.jgrapht.graph.AbstractBaseGraph.UndirectedEdgeContainer<V,E>> vertexMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEdgeToTouchingVertices(E e)` Adds the specified edge to the edge containers of its source and target vertices.
    `void` | `addVertex(V v)`
    `int` | `degreeOf(V vertex)` .
    `Set<E>` | `edgesOf(V vertex)` .
    `Set<E>` | `getAllEdges(V sourceVertex, V targetVertex)` .
    `E` | `getEdge(V sourceVertex, V targetVertex)` .
    `Set<V>` | `getVertexSet()`
    `Set<E>` | `incomingEdgesOf(V vertex)` .
    `int` | `inDegreeOf(V vertex)` .
    `int` | `outDegreeOf(V vertex)` .
    `Set<E>` | `outgoingEdgesOf(V vertex)` .
    `void` | `removeEdgeFromTouchingVertices(E e)` Removes the specified edge from the edge containers of its source and target vertices.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBaseGraph.UndirectedSpecifics

          public AbstractBaseGraph.UndirectedSpecifics()

    - #### AbstractBaseGraph.UndirectedSpecifics

          public AbstractBaseGraph.UndirectedSpecifics(Map<V,org.jgrapht.graph.AbstractBaseGraph.UndirectedEdgeContainer<V,E>> vertexMap)

  - ### Method Detail

    - #### addVertex

          public void addVertex(V v)

    - #### getVertexSet

          public Set<V> getVertexSet()

    - #### getAllEdges

          public Set<E> getAllEdges(V sourceVertex,
                           V targetVertex)

      .
      Returns:
      See Also:
        `Graph.getAllEdges(Object, Object)`

    - #### getEdge

          public E getEdge(V sourceVertex,
                  V targetVertex)

      .
      Returns:
      See Also:
        `Graph.getEdge(Object, Object)`

    - #### addEdgeToTouchingVertices

          public void addEdgeToTouchingVertices(E e)

      Adds the specified edge to the edge containers of its source and target vertices.

    - #### degreeOf

          public int degreeOf(V vertex)

      .
      Returns:

    - #### edgesOf

          public Set<E> edgesOf(V vertex)

      .
      Returns:
      See Also:
        `Graph.edgesOf(Object)`

    - #### inDegreeOf

          public int inDegreeOf(V vertex)

      .
      Returns:
      See Also:
        `DirectedGraph.inDegreeOf(Object)`

    - #### incomingEdgesOf

          public Set<E> incomingEdgesOf(V vertex)

      .
      Returns:
      See Also:
        `DirectedGraph.incomingEdgesOf(Object)`

    - #### outDegreeOf

          public int outDegreeOf(V vertex)

      .
      Returns:
      See Also:
        `DirectedGraph.outDegreeOf(Object)`

    - #### outgoingEdgesOf

          public Set<E> outgoingEdgesOf(V vertex)

      .
      Returns:
      See Also:
        `DirectedGraph.outgoingEdgesOf(Object)`

    - #### removeEdgeFromTouchingVertices

          public void removeEdgeFromTouchingVertices(E e)

      Removes the specified edge from the edge containers of its source and target vertices.

Copyright © 2016. All rights reserved.